package edu.travel.country.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import edu.travel.country.entity.ShopLanguage;
import edu.travel.dto.ShopLanguageDto;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.LanguageSortVo;
import edu.travel.vo.ShopLanguageVo;

import java.util.List;
import java.util.Map;

public interface ShopLanguageService extends IService<ShopLanguage> {

    //分页查询
    RPCBaseResponse<IPage<ShopLanguageVo>> getLanguagePage(ShopLanguageDto shopLanguageDto);

    Map<String, List<LanguageSortVo>> getLanguageSort();

}
